Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.dbt
Class DbtVariableSelection

    java.lang.Object
      ifs.dbt.DbtVariableSelection

All Implemented Interfaces:
  VariableSelection

    public class DbtVariableSelection

extends Object
implements VariableSelection

Selection of a variable for dynamic backtracking.

- Returns null if all variables are assigned.
- Checks if there is a varaible with all values marked as nogood (and pick it if there is any).
- Returns the first unassigned variable.
  This IFS solver variable selection heuristics is to be used only in case of dynamic backtracking and it has no parameters.

  Version:
    1.0
  Author:
    Tomáš Müller

  Constructor Summary
  `DbtVariableSelection(DataProperties properties)`

  Method Summary
  `void` | `init(Solver solver)` Heuristics initialization
  `Variable` | `selectVariable(Solution solution)` Variable selection

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### DbtVariableSelection

      public DbtVariableSelection(DataProperties properties)

  Method Detail

  ### init

      public void init(Solver solver)

    Heuristics initialization

    Specified by:
      `init` in interface `VariableSelection`
    See Also:
      `VariableSelection.init(Solver)`

  ### selectVariable

      public Variable selectVariable(Solution solution)

    Variable selection

    Specified by:
      `selectVariable` in interface `VariableSelection`
    Parameters:
      `solution` - current solution
    See Also:
      `VariableSelection.selectVariable(Solution)`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2005 Tomáš Müller